aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alasdair Nottingham <...@apache.org>
Subject Re: svn commit: r1031260 - /incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml
Date Thu, 04 Nov 2010 23:02:54 GMT
It was my fault I introduced it when refactoring the proxy code, but when I merged it into
the blueprint uber bundle I forgot to update the uber bundle imports to make the package imports
optional.

Alasdair

On 4 Nov 2010, at 22:38, Guillaume Nodet <gnodet@gmail.com> wrote:

> Sounds fair.  I hadn't seen any references from blueprint code
> directly so i assumed it was a side effect of a dependant module which
> wasn't needed.
> 
> On Thursday, November 4, 2010, Alasdair Nottingham <not@apache.org> wrote:
>> Hi, one or two of the eclipse packages are needed, but should be optional. I'll check
what they are and add them back in.
>> 
>> Alasdair
>> 
>> On 4 Nov 2010, at 21:27, gnodet@apache.org wrote:
>> 
>>> Author: gnodet
>>> Date: Thu Nov  4 21:27:17 2010
>>> New Revision: 1031260
>>> 
>>> URL: http://svn.apache.org/viewvc?rev=1031260&view=rev
>>> Log:
>>> [blueprint] Do not import eclipse packages which aren't used
>>> 
>>> Modified:
>>>    incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml
>>> 
>>> Modified: incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml
>>> URL: http://svn.apache.org/viewvc/incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml?rev=1031260&r1=1031259&r2=1031260&view=diff
>>> ==============================================================================
>>> --- incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml (original)
>>> +++ incubator/aries/trunk/blueprint/blueprint-bundle/pom.xml Thu Nov  4 21:27:17
2010
>>> @@ -40,7 +40,8 @@
>>>         <aries.osgi.import>
>>>             !org.apache.aries.blueprint*,
>>>             !org.osgi.service.blueprint*,
>>> -            !org.objectweb.asm*;version="[3.1,4)";resolution:=optional,
>>> +            !org.objectweb.asm*,
>>> +            !org.eclipse*,
>>>             org.osgi.service.event*;resolution:=optional,
>>>             org.osgi.service.framework;resolution:=optional,
>>>             org.osgi.service.cm;version="[1.2.0,2.0.0)",
>>> 
>>> 
>> 
> 
> -- 
> Cheers,
> Guillaume Nodet
> ------------------------
> Blog: http://gnodet.blogspot.com/
> ------------------------
> Open Source SOA
> http://fusesource.com

Mime
View raw message